Last modified: 2011-12-18 21:57:00 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 27614 - list=logevents: Use log_user_text instead of join with user table
list=logevents: Use log_user_text instead of join with user table
Status: RESOLVED WONTFIX
Product: MediaWiki
Classification: Unclassified
API (Other open bugs)
1.18.x
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 27711
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-21 18:13 UTC by db [inactive,noenotif]
Modified: 2011-12-18 21:57 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description db [inactive,noenotif] 2011-02-21 18:13:29 UTC
The database field log_user_text of the table logging is unused by the api.

The api makes a join with the user table. Looks like old code, because
log_user_text was added in 1.16, maybe update for better performance?

The updater has a populate script for log_user_text.
Comment 1 Sam Reed (reedy) 2011-02-21 19:21:41 UTC
Looking at the tables running on WMF, old revisions don't have log_user_text, but newer revisions do.

Doing this would require the action of back populating the logging table (populateLogUserText.php)...

It also might require the populateLogSearch.php script running...

Needs a little more research before we can take this one any further
Comment 2 Sam Reed (reedy) 2011-05-01 22:00:41 UTC
I could almost do this, and then makes the next big deployment blocked on the script being run :P
Comment 3 Sam Reed (reedy) 2011-05-03 22:02:01 UTC
*** Bug 28754 has been marked as a duplicate of this bug. ***
Comment 4 Sam Reed (reedy) 2011-05-03 22:06:01 UTC
Fail
Comment 5 Aaron Schulz 2011-12-18 21:57:00 UTC
It *should* JOIN or do a batch lookup, see bug 31863.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links